EDIT - feature request #7198

Implement equals() forCategoricalData
01/17/2018 06:50 PM - Patrick Plitzner

Status: Rejected Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal

Description

Compare all StateData

Related issues:

Related to EDIT - bug #7155: VersionableEntity.equals() should take updated t... Closed
Related to EDIT - feature request #7199: Implement equals() for QuantitativeData Rejected
Related to EDIT - task #7201: [DISCUSS] Should we remove created comparison f... Closed

Associated revisions

Revision 51a26cec - 01/18/2018 10:04 AM - Andreas Miiller
ref #7155, ref #7198, ref #7199 make Cdm.equals final
e remove sematically equal method from VersionableEntity

¢ add javadoc to explain why it should be final
® open issue: do we really need to compare created in equals ?

History

#1 - 01/17/2018 10:57 PM - Andreas Miuller

- Status changed from New to Rejected

For rejecting reasons please refer to https://dev.e-taxonomy.eu/redmine/issues/7199#note-1

#2 - 01/17/2018 10:58 PM - Andreas Miuller

- Related to bug #7155: VersionableEntity.equals() should take updated timestamp into account added

#3 - 01/17/2018 10:58 PM - Andreas Miuller

- Related to feature request #7199: Implement equals() for QuantitativeData added

#4 - 01/17/2018 10:58 PM - Andreas Miiller
- Target version deleted (Release 4.13)

#5 - 01/18/2018 10:37 AM - Andreas Miiller

- Related to task #7201: [DISCUSS] Should we remove created comparison from CdmBase.equals? added
